| ghc-6.12.3: The GHC API | Contents | Index

SPARC.CodeGen.Sanity

Description
One ounce of sanity checking is worth 10000000000000000 ounces of staring blindly at assembly code trying to find the problem..
Synopsis

checkBlock :: CmmBasicBlock -> NatBasicBlock Instr -> NatBasicBlock Instr

Documentation
checkBlock :: CmmBasicBlock -> NatBasicBlock Instr -> NatBasicBlock Instr
Enforce intra-block invariants.
Produced by Haddock version 2.6.1